Remove a single order from your Routific workspace
A DELETE request to the /orders endpoint with an orderUuidpermanently removes the specified order from Routific. Use this when an order is cancelled in your own system and you need to remove that order from Routific.
Note that an orderUuid is required to delete an order that is generated by Routific and is originally returned in the response body of creating orders.
Request URL
Deletion is permanent
Deleting an order is not reversible. The order disappears from every list and count,
GET /v2/orders/{orderUuid}will return 404, and the order can never be scheduled again.If you only want to remove an order from a route while keeping it in Routific, do not use this endpoint.
Request Payload
//none
The response payload is dependent on whether the order being deleted is an unscheduled order or a scheduled order.
Sample Response Payload for unscheduled order
A successful delete returns 204. If the order cannot be deleted, the request returns 409 with an error code identifying the reason.
Sample Response Payload for scheduled order
{
"actionUuid": "a0f2b3bc-9581-4836-81ae-79773f963430",
"actionName": "delete",
"status": "pending"
}
The API response returns an actionUuid, which can be used to check the status of the order deletion process.
| Fields | Type | Description |
|---|---|---|
| actionUuid | String | An internal ID identifying this delete action within Routific's system |
| actionName | String | The action performed. Always delete for this endpoint. |
| status | String | The status of the action. |

